import React from "react";
import { DiffType, CompareRules } from "api-smart-diff";
import { DiffContextProps } from "../helpers/diff.context";
import { Theme } from "../theme";
export interface ApiDiffViewerProps {
    /**
     * object before
     */
    before: object | string;
    /**
     * object after
     */
    after: object | string;
    /**
     * Custom merge rules (ignored if useWorker is true)
     */
    rules?: CompareRules;
    /**
     * Display document diff in inline or side-by-side mode
     */
    display?: "inline" | "side-by-side";
    /**
     * Output format
     */
    format?: "json" | "yaml";
    /**
     * Change filters for filtered treeview
     */
    filters?: DiffType[];
    /**
     * Show navigation sidebar
     */
    navigation?: boolean;
    /**
     * Use web worker for processing, default true
     */
    useWorker?: boolean;
    /**
     * Custom themes
     */
    customThemes?: {
        [key: string]: Theme;
    };
    /**
     * Component height, default "100vh"
     */
    height?: string;
    /**
     * Lifecycle events
     */
    onLoading?: () => void;
    onReady?: (ctx: DiffContextProps) => void;
    onError?: (error: string) => void;
}
export declare const ApiDiffViewer: ({ before, after, display, format, filters, rules, navigation, useWorker, height, onLoading, onReady, onError, customThemes, }: ApiDiffViewerProps) => React.JSX.Element;
