/// <reference lib="dom" />
import React from "react";
import { DiffContextProps } from "../helpers/diff.context";
import { Theme } from "../theme";
export interface ApiViewerProps {
    /**
     * Api spec
     */
    data: object | string;
    /**
     * Output format
     */
    format?: "json" | "yaml";
    /**
     * Show navigation sidebar
     */
    navigation?: boolean;
    /**
     * Custom themes
     */
    customThemes?: {
        [key: string]: Theme;
    };
    /**
     * Component height, default "100vh"
     */
    height?: string;
    /**
     * Lifecycle events
     */
    onLoading?: () => void;
    onReady?: (ctx: DiffContextProps) => void;
    onError?: (error: string) => void;
}
export declare const ApiViewer: ({ data, format, navigation, customThemes, height, onReady, onLoading, onError }: ApiViewerProps) => React.JSX.Element;
