import { ActionType, DiffMeta, DiffType } from "api-smart-diff";
export declare const metaKey = "$diff";
export declare const diffTypes: DiffType[];
export declare type TokenTag = "before" | "after" | "empty" | "collapsed" | "expanded";
export declare type TokenType = "key" | "index" | "value" | "spec" | DiffType;
export declare type LineDiff = {
    type: DiffType;
    action: ActionType;
};
export declare class Token {
    tags: TokenTag[];
    type: TokenType;
    value: string;
    constructor(type: TokenType, value: string, tags?: TokenTag[] | TokenTag);
    static Key(value: any, tags?: TokenTag | TokenTag[]): Token;
    static Index(value: any, tags?: TokenTag | TokenTag[]): Token;
    static Value(value: any, tags?: TokenTag | TokenTag[]): Token;
    static Spec(value: any, tags?: TokenTag | TokenTag[]): Token;
    static Change(count: number, changeIndex: number, tags?: TokenTag | TokenTag[]): Token;
    cond(value: TokenTag | TokenTag[], cond?: boolean): this;
}
export declare class DiffLineData {
    index: number;
    indent: number;
    tokens: Token[];
    diff?: DiffMeta;
    constructor(index: number, indent: number, tokens: Token[], diff?: DiffMeta);
}
export declare class DiffBlockData extends DiffLineData {
    id: string;
    children: DiffBlockData[];
    diffs: number[];
    level: number;
    lines: number;
    get nextLine(): number;
    constructor(index: number, indent: number, tokens: Token[], diff?: DiffMeta, level?: number, id?: string);
    addDiff(diff: DiffMeta): void;
    addBlock(block: DiffBlockData): void;
}
