import { DiffType } from "api-smart-diff";
import { Dispatch, SetStateAction } from "react";
import { Theme } from "../theme";
export declare type DiffContextProps = {
    /**
     * Merged API document
     */
    data?: any;
    /**
     * Treeview parameters
     */
    treeview?: "expanded" | "collapsed";
    /**
     * Change filters
     */
    filters?: DiffType[];
    /**
     * Display document diff in inline or side-by-side mode
     */
    display?: "inline" | "side-by-side";
    /**
     * Selected id
     */
    selected?: string;
    /**
     * Selected theme type
     */
    themeType?: string;
    /**
     * Selected theme
     */
    theme?: Theme;
    /**
     * Text selection side
     */
    textSelectionSide?: "before" | "after";
    /**
     * Set text selection side
     */
    setTextSelectionSide?: (side?: "before" | "after") => void;
    /**
     * Expand all blocks
     */
    expandAll?: () => void;
    /**
     * Collapse all blocks
     */
    collapseAll?: () => void;
    /**
     * Scroll to id in parent element, default window
     */
    navigateTo?: (id: string, parent?: HTMLElement | Window) => void;
    /**
     * Theme select function
     */
    setCurrentTheme?: Dispatch<SetStateAction<string>>;
};
export declare const DiffContext: import("react").Context<DiffContextProps>;
